Bug 131159 - (CIFS) Badness in sleep_on_timeout at kernel/sched.c:2562
(CIFS) Badness in sleep_on_timeout at kernel/sched.c:2562
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-27 20:47 EDT by Carl-Johan Kjellander
Modified: 2015-01-04 17:09 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 01:19:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl-Johan Kjellander 2004-08-27 20:47:11 EDT
Description of problem:
Used cifs today. Got some badness.

Version-Release number of selected component (if applicable):
2.6.8-1.521smp


 CIFS VFS: Send error in SessSetup = -13
 CIFS VFS: cifs_mount failed w/return code = -13
 CIFS VFS: Send error in SessSetup = -13
 CIFS VFS: cifs_mount failed w/return code = -13
 CIFS VFS: Send error in SessSetup = -13
 CIFS VFS: cifs_mount failed w/return code = -13
 CIFS VFS: cifs_mount failed w/return code = -6
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<430e9f28>] SendReceive+0x40a/0x655 [cifs]
 [<430d6b4e>] smb_init+0x24d/0x258 [cifs]
 [<429103c3>] xfs_attr_leaf_get+0x4b/0x82 [xfs]
 [<4290f304>] xfs_attr_fetch+0x138/0x174 [xfs]
 [<430d910a>] CIFSSMBUnixQPathInfo+0x19f/0x234 [cifs]
 [<430e5970>] cifs_get_inode_info_unix+0x54/0x3e3 [cifs]
 [<0212ebfc>] in_group_p+0x31/0x58
 [<022d6c00>] __cond_resched+0x14/0x39
 [<430e1884>] build_path_from_dentry+0x55/0xed [cifs]
 [<430e6d4b>] cifs_revalidate+0x196/0x2d3 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<430e6e96>] cifs_getattr+0xe/0x24 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<02164256>] vfs_getattr+0x35/0x88
 [<021642d1>] vfs_stat+0x28/0x3a
 [<02164838>] sys_stat64+0xf/0x23
 [<02158bb5>] put_user_size+0x29/0x2d
 [<021193df>] do_page_fault+0x0/0x58b
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<430e9f28>] SendReceive+0x40a/0x655 [cifs]
 [<430d6b4e>] smb_init+0x24d/0x258 [cifs]
 [<429103c3>] xfs_attr_leaf_get+0x4b/0x82 [xfs]
 [<4290f304>] xfs_attr_fetch+0x138/0x174 [xfs]
 [<430d910a>] CIFSSMBUnixQPathInfo+0x19f/0x234 [cifs]
 [<430e5970>] cifs_get_inode_info_unix+0x54/0x3e3 [cifs]
 [<0212ebfc>] in_group_p+0x31/0x58
 [<022d6c00>] __cond_resched+0x14/0x39
 [<430e1884>] build_path_from_dentry+0x55/0xed [cifs]
 [<430e6d4b>] cifs_revalidate+0x196/0x2d3 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<430e6e96>] cifs_getattr+0xe/0x24 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<02164256>] vfs_getattr+0x35/0x88
 [<021642d1>] vfs_stat+0x28/0x3a
 [<4295cd52>] linvfs_readdir+0x1c1/0x1cf [xfs]
 [<0216d483>] filldir64+0x0/0x12e
 [<02164838>] sys_stat64+0xf/0x23
 [<02171457>] dput+0x1b/0x287
 [<0215bfa0>] __fput+0xc4/0xea
 [<0215a97b>] filp_close+0x59/0x5f
 [<0215aa21>] sys_close+0xa0/0xd3
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<430e9f28>] SendReceive+0x40a/0x655 [cifs]
 [<430d6b4e>] smb_init+0x24d/0x258 [cifs]
 [<429103c3>] xfs_attr_leaf_get+0x4b/0x82 [xfs]
 [<4290f304>] xfs_attr_fetch+0x138/0x174 [xfs]
 [<430d910a>] CIFSSMBUnixQPathInfo+0x19f/0x234 [cifs]
 [<430e5970>] cifs_get_inode_info_unix+0x54/0x3e3 [cifs]
 [<42909670>] xfs_acl_iaccess+0x6b/0xae [xfs]
 [<022d6c00>] __cond_resched+0x14/0x39
 [<430e1884>] build_path_from_dentry+0x55/0xed [cifs]
 [<430e6d4b>] cifs_revalidate+0x196/0x2d3 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<430e6e96>] cifs_getattr+0xe/0x24 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<02164256>] vfs_getattr+0x35/0x88
 [<021642d1>] vfs_stat+0x28/0x3a
 [<4295cd52>] linvfs_readdir+0x1c1/0x1cf [xfs]
 [<0216d483>] filldir64+0x0/0x12e
 [<02164838>] sys_stat64+0xf/0x23
 [<02171457>] dput+0x1b/0x287
 [<0215bfa0>] __fput+0xc4/0xea
 [<0215a97b>] filp_close+0x59/0x5f
 [<0215aa21>] sys_close+0xa0/0xd3
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<430e9f28>] SendReceive+0x40a/0x655 [cifs]
 [<430d6b4e>] smb_init+0x24d/0x258 [cifs]
 [<4304902a>] char2uni+0xe/0x20 [nls_utf8]
 [<430ebe60>] cifs_strtoUCS+0x2e/0x82 [cifs]
 [<430d910a>] CIFSSMBUnixQPathInfo+0x19f/0x234 [cifs]
 [<430e5970>] cifs_get_inode_info_unix+0x54/0x3e3 [cifs]
 [<4290f304>] xfs_attr_fetch+0x138/0x174 [xfs]
 [<022d6c00>] __cond_resched+0x14/0x39
 [<430e1884>] build_path_from_dentry+0x55/0xed [cifs]
 [<430e21f0>] cifs_lookup+0x12f/0x1e1 [cifs]
 [<0216802f>] real_lookup+0x6e/0xd2
 [<021682b2>] do_lookup+0x43/0x72
 [<02168d01>] link_path_walk+0xa20/0xdf7
 [<02169436>] path_lookup+0x16c/0x19c
 [<02169572>] __user_walk+0x21/0x51
 [<021646ba>] sys_readlink+0x20/0x82
 [<0215a97b>] filp_close+0x59/0x5f
 [<021193df>] do_page_fault+0x0/0x58b
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<430e9f28>] SendReceive+0x40a/0x655 [cifs]
 [<430d6b4e>] smb_init+0x24d/0x258 [cifs]
 [<429103c3>] xfs_attr_leaf_get+0x4b/0x82 [xfs]
 [<4290f304>] xfs_attr_fetch+0x138/0x174 [xfs]
 [<430d910a>] CIFSSMBUnixQPathInfo+0x19f/0x234 [cifs]
 [<430e5970>] cifs_get_inode_info_unix+0x54/0x3e3 [cifs]
 [<42909670>] xfs_acl_iaccess+0x6b/0xae [xfs]
 [<022d6c00>] __cond_resched+0x14/0x39
 [<430e1884>] build_path_from_dentry+0x55/0xed [cifs]
 [<430e6d4b>] cifs_revalidate+0x196/0x2d3 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<430e6e96>] cifs_getattr+0xe/0x24 [cifs]
 [<430e6e88>] cifs_getattr+0x0/0x24 [cifs]
 [<02164256>] vfs_getattr+0x35/0x88
 [<02164308>] vfs_lstat+0x25/0x37
 [<02158793>] rw_vm+0x2df/0x331
 [<0216485b>] sys_lstat64+0xf/0x23
 [<02158bb5>] put_user_size+0x29/0x2d
 [<0216d651>] sys_getdents64+0xa0/0xaa
 [<021193df>] do_page_fault+0x0/0x58b
Comment 1 Carl-Johan Kjellander 2004-08-27 20:53:00 EDT
Forgot to mention, all my other filesystems are XFS on
lvm2 if that matters.
Comment 2 Robert Bottomley 2004-09-02 18:15:02 EDT
I would like to add a "me, too". Same kernel, same badness, ext3
filesystems. It can take 30 seconds to get a directory listing for a
small directory (~20 files). Completely unusable. With smbfs giving
input/output errors and also being unusable, this is a show-stopper
for us and we are going to have to revert to FC1.

Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<82b9cf28>] SendReceive+0x40a/0x655 [cifs]
 [<82b89b4e>] smb_init+0x24d/0x258 [cifs]
 [<022d661a>] schedule+0x65e/0x6e9
 [<82b8beed>] CIFSSMBQPathInfo+0x197/0x215 [cifs]
 [<82b98db2>] cifs_get_inode_info+0xb3/0x3cb [cifs]
 [<02167d18>] vfs_permission+0x70/0xe6
 [<022d6c00>] __cond_resched+0x14/0x39
 [<82b99d5a>] cifs_revalidate+0x1a5/0x2d3 [cifs]
 [<82b99e88>] cifs_getattr+0x0/0x24 [cifs]
 [<82b99e96>] cifs_getattr+0xe/0x24 [cifs]
 [<82b99e88>] cifs_getattr+0x0/0x24 [cifs]
 [<02164256>] vfs_getattr+0x35/0x88
 [<021642d1>] vfs_stat+0x28/0x3a
 [<0212c83d>] do_sigaction+0x21d/0x2c7
 [<02164838>] sys_stat64+0xf/0x23
 [<0211d072>] scheduler_tick+0x3bd/0x3c5
 [<021193df>] do_page_fault+0x0/0x58b
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<82b9cf28>] SendReceive+0x40a/0x655 [cifs]
 [<82b89b4e>] smb_init+0x24d/0x258 [cifs]
 [<02158793>] rw_vm+0x2df/0x331
 [<82aa602a>] char2uni+0xe/0x20 [nls_utf8]
 [<82b9ee60>] cifs_strtoUCS+0x2e/0x82 [cifs]
 [<82b8c58d>] CIFSFindFirst+0x1f0/0x278 [cifs]
 [<82b97fce>] cifs_readdir+0x2cc/0xaf3 [cifs]
 [<0216d483>] filldir64+0x0/0x12e
 [<0216d483>] filldir64+0x0/0x12e
 [<0216d169>] vfs_readdir+0x7d/0xa5
 [<0216d616>] sys_getdents64+0x65/0xaa
Badness in sleep_on_timeout at kernel/sched.c:2562
 [<022d6af5>] sleep_on_timeout+0x5d/0x154
 [<0211d07a>] default_wake_function+0x0/0xc
 [<82b9cf28>] SendReceive+0x40a/0x655 [cifs]
 [<82b89b4e>] smb_init+0x24d/0x258 [cifs]
 [<021404dc>] __pagevec_free+0x15/0x1b
 [<02145f99>] release_pages+0x1d2/0x1da
 [<82b8beed>] CIFSSMBQPathInfo+0x197/0x215 [cifs]
 [<82b98db2>] cifs_get_inode_info+0xb3/0x3cb [cifs]
 [<02167d18>] vfs_permission+0x70/0xe6
 [<022d6c00>] __cond_resched+0x14/0x39
 [<82b99d5a>] cifs_revalidate+0x1a5/0x2d3 [cifs]
 [<82b99e88>] cifs_getattr+0x0/0x24 [cifs]
 [<82b99e96>] cifs_getattr+0xe/0x24 [cifs]
 [<82b99e88>] cifs_getattr+0x0/0x24 [cifs]
 [<02164256>] vfs_getattr+0x35/0x88
 [<021642d1>] vfs_stat+0x28/0x3a
 [<02158793>] rw_vm+0x2df/0x331
 [<02164838>] sys_stat64+0xf/0x23
 [<0212cc33>] sys_rt_sigaction+0x6b/0x80
 [<02158bb5>] put_user_size+0x29/0x2d
 [<0212baf1>] sys_rt_sigprocmask+0x110/0x124
 [<021193df>] do_page_fault+0x0/0x58b
Comment 3 David Sheldon 2004-09-10 09:36:46 EDT
I get this too, but after the initial 30s wait, access is fine (and
faster than NFS). It would be nice to solve it.
Comment 4 Charles Bennington 2004-10-18 13:47:57 EDT
I was experiencing a similar problem:
  FC2 (2.6.8-1.521smp)
  mount.cifs v 1.4
  properly credentialed connection to Win2K share
  produced "badness" on mount and on use of the mount
but the problem went away when I added "file_mode" and "dir_mode"
arguments to my /etc/fstab entry used to create the mounts.  It looked
like without specific settings the modes were running as #FFFF (or
whatever).
Comment 5 Charles Bennington 2004-10-18 14:38:02 EDT
I'm sorry.  I wrote too soon.  It turns out that it wasn't changing
the modes, but rather the "umount" and re-"mount" of the file systems
which made the badness go away.  This appears to be true until the
next reboot.
Comment 6 Alan Schmidt 2004-10-26 15:44:25 EDT
To add to comment 5, I get the same behavior. If I do NOT re-mount the
filesystem, I'm able to reboot okay, but if I DO re-mount the
filesystem, and the performance improves, THEN I can't unmount the
filesystem again, and the computer will hang on shutdown (without
writing a message to the console OR to /etc/messages).
Comment 7 Stephen White 2004-10-30 18:28:20 EDT
This seems to be a duplicate of 128844.  The issue appears to cause
hangs on SMP boxes, and 'harmless' badness messages on other boxes.
Comment 8 Dave Jones 2004-11-27 17:08:54 EST
fixed in 2.6.9 based update ?
Comment 9 Stephen White 2004-11-28 09:24:07 EST
I'll confirm that this has fixed it for me, both removing the 'badness in 
sleep' messages on all boxes and the hangs on SMP boxes.
Comment 10 Dave Jones 2005-04-16 01:19:21 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.